package de.ivu.elect.business.wahl.entity;

public enum WahlberechtigungImAusland {

  UNBEKANNT{
    @Override
    public boolean isWahlberechtigungImAuslandMoeglich() {
      return false;
    }
  },
  MOEGLICH {
    @Override
    public boolean isWahlberechtigungImAuslandMoeglich() {
      return true;
    }
  },
  NICHT_MOEGLICH {
    @Override
    public boolean isWahlberechtigungImAuslandMoeglich() {
      return false;
    }
  };


  public abstract boolean isWahlberechtigungImAuslandMoeglich();

}
